<%

String baseUrl = "http://" + request.getServerName();
if (request.getServerPort() != 80)
   baseUrl += ":" + request.getServerPort();
baseUrl += request.getContextPath();

%>
<html>
  <head>
    <title>DavCache</title>
  </head>
  <body>
    <h1>DavCache</h1>
   
    <p>
      Welcome to the DavCache webapp.
    </p>
 
    <p>
      To access DavCache as a WebDAV "filesystem" point your WebDAV client to 
      <tt><%= baseUrl %>/dav/</tt>
    </p>

    <p>
      With Microsoft Internet Explorer, you can open a WebDAV location as a <i>Web Folder</i>
      (see <a href="http://support.microsoft.com/default.aspx?scid=kb;en-us;195851&sd=tech">Microsoft documentation</a>).
    </p>

    <p>
      The CMS sample is here: <a href="<%= baseUrl %>/cms/"><%= baseUrl %>/cms/</a>.
      See the <a href="http://labs.jboss.com/wiki/Davcache/CmsSample">CmsSample wiki page</a> for some
      documentation.
    </p>

  </body>
</html>
